1. Merchant Management
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Initiate Merchant Activation
        POST
      • Confirm Merchant Activation
        POST
      • Create Merchant
        POST
      • Get Merchant
        GET
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Get Bank Accounts
        • Add Bank Account
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Order Accept
        • Get Checkout History
        • Get Checkout
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Get Checkout Refundable Info
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Upload File
      • getTnC
  1. Merchant Management

Create Merchant

POST
/v2.0/crm/addressBook/createMerchant
Creates a merchant (INDIVIDUAL or CORPORATE) and submits it for KYC/KYB review.
Tier structure
Tier 1/2: corporationDetails (or personalDetails for individual) only. As of v2.1, natureOfBusiness (and optional otherNatureOfBusiness) can also be submitted within additionalCorporationDetails -- note that natureOfBusiness is NOT required for tier 1/2.
Tier 3: sourceOfWealth becomes required in addition to tier 1/2 fields.
Tier 1/2 + 3: these two tiers are currently open for natureOfBusiness submission.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "applicationType": 2,
    "merchantDetails": {
        "personalDetails": {
            "firstName": "John",
            "middleName": "Michael",
            "lastName": "Doe",
            "dateOfBirth": "1985-06-15",
            "nationality": "US",
            "residentialAddress": {
                "country": "US",
                "state": "Arkansas",
                "city": "Little Rock",
                "postcode": "02162",
                "addressLine1": "123 Main Street",
                "addressLine2": "Apt 4B"
            },
            "contactNumber": {
                "countryCode": "86",
                "phoneNumber": "041184807040"
            },
            "email": "john.doe@example.com",
            "taxResidency": "US"
        },
        "additionalPersonalDetails": {
            "occupation": "Software Engineer",
            "purposesOfAccountOpening": [
                "Sell Crypto"
            ],
            "sourceOfFunds": [
                "Sale of Assets"
            ],
            "sourceOfWealth": [
                "Investments or Trading"
            ]
        },
        "supportingDocuments": [
            {
                "type": 2,
                "fileId": "FILE_PASSPORT_US_123456"
            }
        ]
    },
    "acceptedTnC": [
        "X101"
    ],
    "clientReference": "REF202604150003"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v2.0/crm/addressBook/createMerchant' \
--header 'Content-Type: application/json' \
--data-raw '{
    "applicationType": 2,
    "merchantDetails": {
        "personalDetails": {
            "firstName": "John",
            "middleName": "Michael",
            "lastName": "Doe",
            "dateOfBirth": "1985-06-15",
            "nationality": "US",
            "residentialAddress": {
                "country": "US",
                "state": "Arkansas",
                "city": "Little Rock",
                "postcode": "02162",
                "addressLine1": "123 Main Street",
                "addressLine2": "Apt 4B"
            },
            "contactNumber": {
                "countryCode": "86",
                "phoneNumber": "041184807040"
            },
            "email": "john.doe@example.com",
            "taxResidency": "US"
        },
        "additionalPersonalDetails": {
            "occupation": "Software Engineer",
            "purposesOfAccountOpening": [
                "Sell Crypto"
            ],
            "sourceOfFunds": [
                "Sale of Assets"
            ],
            "sourceOfWealth": [
                "Investments or Trading"
            ]
        },
        "supportingDocuments": [
            {
                "type": 2,
                "fileId": "FILE_PASSPORT_US_123456"
            }
        ]
    },
    "acceptedTnC": [
        "X101"
    ],
    "clientReference": "REF202604150003"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "OK",
    "traceId": null,
    "data": {
        "applicationId": "2078702830650900482",
        "status": 1,
        "createdAt": 1784436348000,
        "merchantInfo": {
            "applicationType": 1,
            "clientReference": "cwm-1784436345",
            "merchantDetails": {
                "personalDetails": {
                    "firstName": "Test",
                    "middleName": null,
                    "lastName": "Merchant",
                    "dateOfBirth": "1990-01-01",
                    "nationality": "SG",
                    "residentialAddress": {
                        "addressLine1": "1 Test St",
                        "addressLine2": null,
                        "city": "Singapore",
                        "country": "SG",
                        "postcode": "123456",
                        "state": null
                    },
                    "contactNumber": {
                        "countryCode": "65",
                        "phoneNumber": "91234567"
                    },
                    "email": "cwtest@example.com",
                    "taxResidency": "SG"
                },
                "supportingDocuments": [
                    {
                        "type": 1,
                        "fileId": "a02351db-3d50-4534-b947-735d40ad1e80"
                    }
                ]
            },
            "participantCode": "A0104983",
            "acceptedTnC": null,
            "sourceIp": null
        }
    }
}
Modified at 2026-07-23 07:53:26
Previous
Confirm Merchant Activation
Next
Get Merchant
Built with